## net.sourceforge.pmd.dfa.report
Class PackageNode

    java.lang.Object
      net.sourceforge.pmd.dfa.report.AbstractReportNode
          net.sourceforge.pmd.dfa.report.PackageNode

public class PackageNode
extends AbstractReportNode

Constructor Summary
`PackageNode(java.lang.String packageName)`

Method Summary
`boolean` `equalsNode(AbstractReportNode arg0)` Should compare to nodes of the tree.
`java.lang.String` `getPackageName()`

Methods inherited from class net.sourceforge.pmd.dfa.report.AbstractReportNode
`accept, add, addFirst, addNumberOfViolation, childrenAccept, getChildAt, getChildCount, getFirstChild, getNextSibling, getNumberOfViolations, getParent, isLeaf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackageNode

    public PackageNode(java.lang.String packageName)

Method Detail

### getPackageName

    public java.lang.String getPackageName()

### equalsNode

    public boolean equalsNode(AbstractReportNode arg0)

  Description copied from class: `AbstractReportNode`
  Should compare to nodes of the tree.

  Specified by:
    `equalsNode` in class `AbstractReportNode`

Copyright © 2002-2006 InfoEther. All Rights Reserved.